import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class RotatingDots extends JFrame {
    private class DemoPanel extends JPanel
                            implements ActionListener {
        private double angle = 0.0;
        public void paintComponent(Graphics g) {
            super.paintComponent(g);
            for (int i=0; i<10; i++) {
                int x = 15 * i;
                int y = 0;
                int x1 = (int)Rotate2D.getX(x,y,angle);
                int y1 = (int)Rotate2D.getY(x,y,angle);
                g.fillOval(195+x1,195+y1,10,10);
            }
        }
        public void actionPerformed(ActionEvent e) {
            angle = angle + Math.PI / 128.0;
            this.repaint();
        }
    }
    public RotatingDots() {
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setSize(400,400); setLocation(50,50);
        DemoPanel panel = new DemoPanel();
        add(panel); setVisible(true);
        Timer t = new Timer(20,panel);
        t.start();
    }
    public static void main(String[] args) {
        RotatingDots f = new RotatingDots();
    }
}
