import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class MouseDot extends JFrame {
    private class DemoPanel extends JPanel
                            implements MouseListener {
        private int x = -50;
        private int y = -50;
        public void paintComponent(Graphics g) {
            super.paintComponent(g);
            g.fillOval(x-5,y-5,10,10);
        }
        public void mouseClicked(MouseEvent e) {
            x = e.getX();
            y = e.getY();
            this.repaint();
        }
        public void mouseEntered(MouseEvent e) {}
        public void mouseExited(MouseEvent e) {}
        public void mousePressed(MouseEvent e) {}
        public void mouseReleased(MouseEvent e) {}

    }
    public MouseDot() {
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setSize(400,400); setLocation(50,50);
        DemoPanel panel = new DemoPanel();
        panel.addMouseListener(panel);
        add(panel); setVisible(true);
    }
    public static void main(String[] args) {
        MouseDot f = new MouseDot();
    }
}
